<h1>FORMULARIO REGISTRO</h1>
<div class="container">
  <form [formGroup]="fRegistro" (ngSubmit)="guardar()">

    <div class="row">
      <div class="lbl">
        <label for="FRusuario">Usuario</label>
      </div>
      <div class="entrada">
        <input type="text"
        formControlName="usuario"
        [class.is-invalid]="usuarioNoValido1"
        >
        <small class="text-danger" *ngIf="usuarioNoValido1">Nombre de usuario no válido
          Solo se permiten letras y números. sin espacios,disponible hasta 15 caracteres</small>
      </div>
    </div>
  
    <div class="row">
      <div class="lbl">
        <label for="FRcontrasenia">Contraseña</label>
      </div>
      <div class="entrada">
        <input type="text"
        name="FRcontrasenia"
        formControlName="pass1"
        [class.is-invalid]="pass1NoValido">
        
      </div>
    </div>
  
    <div class="row">
      <div class="lbl">
        <label for="repeat">Repetir Contraseña</label>
      </div>
      
      <div class="entrada">
        <input type="text"
        formControlName="pass2"
        [class.is-invalid]="pass2NoValido"
        >
        <small class="text-danger" *ngIf="pass2NoValido">Las contraseñas no coinciden</small>
      </div>
    </div>
  
    <div class="alinea-btn">
      <button type="submit" class="btn" [disabled]="fRegistro.invalid || pass2NoValido" (click)="envioDatos()" >Guardar</button>
      <button type="button" (click)="limpiarForm()">Limpiar</button>
    </div><br>
  
    <div class="enlace">
      <a href="#">Regresar</a>
    </div>

  </form>
</div>

<hr>
<pre>
   Estado del formulario: {{ fRegistro.valid }}
   <br>
   Status: {{ fRegistro.status }}
</pre>
<pre>
   {{ fRegistro.value | json}}
</pre>
